import { DesignTokens as DesignTokens$1 } from 'browser-style-dictionary/types/browser';
import { DesignTokens, ThemeTokens, DesignTokensPaths, DesignToken } from '#design-tokens/types';

declare const _default: (color: string, suffixes?: Array<string | number>, padding?: number) => DesignTokens;

declare const generateTokens: (tokens: NuxtDesignTokens, buildPath: string, silent?: boolean) => Promise<void>;

interface NuxtDesignTokens extends ThemeTokens, DesignTokens$1 {
}
interface NuxtDesignTokensConfig {
    tokens?: NuxtDesignTokens | boolean | string;
}
interface ModuleOptions extends NuxtDesignTokensConfig {
}
interface ModuleHooks {
}
interface ModulePublicRuntimeConfig {
}
interface ModulePrivateRuntimeConfig {
    tokensDir?: string;
    tokensFilePaths?: Array<string>;
}
declare type DeepPartial<T> = T extends object ? {
    [P in keyof T]?: DeepPartial<T[P]>;
} : T;

declare const defineTokens: (tokens: DeepPartial<NuxtDesignTokens>) => DeepPartial<NuxtDesignTokens>;
declare const $tokens: (path: DesignTokensPaths, key?: keyof DesignToken, flatten?: boolean) => any;
declare const $dt: (path: DesignTokensPaths, key?: keyof DesignToken, flatten?: boolean) => any;
declare module '@nuxt/schema' {
    interface PublicRuntimeConfig {
        designTokens?: ModulePublicRuntimeConfig;
    }
    interface RuntimeConfig {
        designTokens?: ModulePrivateRuntimeConfig;
    }
    interface NuxtConfig {
        designTokens?: Partial<ModuleOptions>;
    }
    interface NuxtOptions {
        designTokens?: ModuleOptions;
    }
}

export { $dt, $tokens, ModuleHooks, ModuleOptions, ModulePrivateRuntimeConfig, ModulePublicRuntimeConfig, NuxtDesignTokens, NuxtDesignTokensConfig, defineTokens, generateTokens, _default as palette };
