import { resolveModule } from '@nuxt/kit';
import jiti from 'jiti';
import chroma from 'chroma-js';
export { g as generateTokens } from './chunks/utils.mjs';
import 'browser-style-dictionary/browser.js';

const palette = (color, suffixes = [50, 100, 200, 300, 400, 500, 600, 700, 800, 900], padding = 0.1) => {
  if (!color || typeof color !== "string") {
    throw new Error('Please provide a valid "color" string parameter');
  }
  function scalePalette(baseColor, _suffixes = suffixes, _padding = padding) {
    const colorscale = chroma.scale(["white", baseColor, "black"]).padding(padding).colors(suffixes.length);
    const colorRange = {};
    suffixes.forEach((suffix, index) => colorRange[suffix] = {
      value: colorscale[index]
    });
    colorRange[500] = {
      value: baseColor
    };
    return colorRange;
  }
  return scalePalette(color);
};

const defineTokens = (tokens) => tokens;
const $tokens = (path, key = "variable", flatten = true) => {
  const module = resolveModule(`${globalThis.__nuxtDesignTokensBuildDir__}index.ts`);
  const { $dt: $dt2 } = jiti(import.meta.url)(module);
  const fail = () => {
    const _key = key ? `.${key}` : "";
    console.log(`Could not find the token ${path}${_key}!`);
  };
  return $dt2(path, key, flatten) || fail();
};
const $dt = $tokens;

export { $dt, $tokens, defineTokens, palette };
